Ask Your Question
0

Enabling Identity API 1.1

asked 2013-10-15 02:51:21 -0500

Kupo gravatar image

I'm attempting to enable Openstack Identify 1.1 for Zenoss compatibility ( http://wiki.zenoss.org/ZenPack:OpenStack_Cloud_Monitor ) However my installation only has v2.0 support. How can you enable this?

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2013-10-15 05:02:05 -0500

Yaguang gravatar image

you need to modify the keystone configuration file to add api 1.1 support, depends on your keystone version the config file can be keystone-paste.ini or keystone.conf,

[composite:main] use = egg:Paste#urlmap /v2.0 = public_api /v3 = api_v3 / = public_version_api

add /1.1 = public_api then restart keystone service .

edit flag offensive delete link more

Comments

I've added this/restarted and I'm still getting a 404 error when hitting http://ipaddress:5000/v1.1

Kupo gravatar imageKupo ( 2013-10-15 11:59:49 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

Stats

Asked: 2013-10-15 02:51:21 -0500

Seen: 84 times

Last updated: Oct 15 '13